
Infrastructure - Story #3474

Maintain consistency across CN hazelcast backing datastores

2013-01-09 17:15 - Chris Jones

Status: Rejected Start date: 2013-01-16

Priority: Normal Due date: 2014-03-29

Assignee: Chris Jones % Done: 0%

Category: performance-scalability Estimated time: 0.00 hour

Target version: 2014.12-Block.2.2   

Story Points:    

Description

Story to capture work needed ensure data consistency across CN datastores.

Due to partition tolerance of the distributed cache (hazelcast), it is possible for the storage datastore to become inconsistent across

CN when create/update/deletes are performed in one cluster partition and not synchronized across the cluster when the partitions in

the cluster are resolved/joined.

Subtasks:

Task # 3488: Create custom merge policy to support managing data/information inconsistency New

Related issues:

Related to Infrastructure - Story #3736: CN Consistency Check and CN Recovery Rejected

History

#1 - 2013-01-16 18:55 - Skye Roseboom

- Subject changed from Create a custom merge policy class to maintain consistency across nodes to Maintain consistency across CN hazelcast

backing datastores

- Parent task deleted (#3470)

Story to capture work needed ensure data consistency across CN datastores.

Due to partition tolerance of the distributed cache (hazelcast), it is possible for the storage datastore to become inconsistent across CN when

create/update/deletes are performed in one cluster partition and not synchronized across the cluster when the partitions in the cluster are

resolved/joined.

#2 - 2013-01-16 18:58 - Skye Roseboom

- Description updated

#3 - 2013-01-16 19:01 - Skye Roseboom

- Target version changed from 2013.2-Block.1.1 to 2013.4-Block.1.2

#4 - 2013-03-01 18:59 - Skye Roseboom

- Tracker changed from Task to Story

- Due date set to 2013-02-02

- translation missing: en.field_remaining_hours set to 0.0

#5 - 2013-03-01 19:01 - Skye Roseboom

- Assignee changed from Skye Roseboom to Chris Jones

#6 - 2013-03-01 19:19 - Robert Waltz

- Due date changed from 2013-02-02 to 2013-03-16
- Target version changed from 2013.4-Block.1.2 to 2013.10-Block.2.1

#7 - 2013-05-31 16:01 - Chris Jones

- Due date changed from 2013-03-16 to 2013-06-08

- Target version changed from 2013.10-Block.2.1 to 2013.22-Block.3.3

#8 - 2013-08-02 17:32 - Chris Jones

- Target version changed from 2013.22-Block.3.3 to 2013.35-Block.5.1

- Due date changed from 2013-06-08 to 2013-09-07

#9 - 2014-01-06 18:09 - Chris Jones

- Target version changed from 2013.35-Block.5.1 to 2014.2-Block.1.1

- Due date changed from 2013-09-07 to 2014-01-18

#10 - 2014-03-14 17:27 - Chris Jones

- Target version changed from 2014.2-Block.1.1 to 2014.12-Block.2.2

- Due date changed from 2014-01-18 to 2014-03-29

#11 - 2014-04-04 04:20 - Chris Jones

- Status changed from New to Rejected

Due to the larger architectural scope of the consistency issues with Hazelcast over WAN, a custom merge policy within hazelcast won't provide a

complete fix.  I'm rejecting this in favor of an architectural refactor that will be described in other tickets.
